CVE-2021-3795

Inefficient Regular Expression Complexity in npm/semver-regex

Identifier

CVE-2021-3795

Package Slug

npm/semver-regex

Vulnerability

Inefficient Regular Expression Complexity

Description

semver-regex is vulnerable to Inefficient Regular Expression Complexity

Affected Versions

All versions before 3.1.3, all versions starting from 4.0.0 before 4.0.1

Solution

Upgrade to versions 3.1.3, 4.0.1 or above.

Last Modified

2021-09-30

source